
/// 基础组件
/// 一套代码构造出cupertino，material 2种模式下主题
/// See also:
///
/// * [BaseApp]
///
/// * [BasePage]
///
/// * [BaseNavBar]
///
/// * [BaseRoute]
///

library base;

/// modify from flutter
export 'flutter/flutter_modify.dart' hide WithoutSplashFactory;

export 'app/base_app.dart';
export 'appbar/base_app_bar.dart';
export 'baritem/base_bar_item.dart';
export 'base_stateless_widget.dart';
export 'base_stateful_widget.dart';
export 'base_class.dart';
export 'button/base_button.dart';
export 'base_constants.dart';
export 'container/base_container.dart';
export 'dialog/base_alert_dialog.dart';
export 'dialog/base_dialog_action.dart';
export 'dialog/base_general_dialog.dart';
export 'icon/base_icon.dart';
export 'icon/base_icon_button.dart';
export 'indicator/base_indicator.dart';
export 'scaffold/base_scaffold.dart';
export 'scaffold/base_tab_page.dart';
export 'platform/platform.dart';
export 'refresh/base_refresh.dart';
export 'route/base_route.dart';
export 'scroller_bar/base_scroll_bar.dart';
export 'section/base_section.dart';
export 'section/base_tile.dart';
export 'slider/base_slider.dart';
export 'switch/base_switch.dart';
export 'tabbar/base_tab_bar.dart';
export 'tabbar/base_tab.dart';
export 'tabbar/base_bottom_bar.dart';
export 'utils/bsae_utils.dart';
